#ifndef IHMXBEECONF_H
#define IHMXBEECONF_H
#include <QSerialPortInfo>
#include <QMainWindow>
#include <QDebug>
#include "cserial.h"

namespace Ui {
class IHMXbeeConf;
}

class IHMXbeeConf : public QMainWindow
{
    Q_OBJECT

public:
    explicit IHMXbeeConf(QWidget *parent = 0);
    ~IHMXbeeConf();

private slots:
    void on_pbEnvoyer_clicked();
    void on_pbConnexion_clicked();
    void slotStatusOK();
    void slotConfXbee(QByteArray conf);
    void on_pbConfigurer_clicked();


    void on_pbModifier_clicked();

private:
    Ui::IHMXbeeConf *ui;
    Cserial *port;
};

#endif // IHMXBEECONF_H
