#include "cserial.h"

Cserial::Cserial(QObject *parent, const QString &nomPort)
{
    m_serial = new QSerialPort(parent);
    m_serial->setPortName(nomPort);
    m_recu = 0;
    connect(m_serial, &QSerialPort::readyRead, this, &Cserial::slotLireDonnees);
    qDebug() << "L'objet CSerial m_serial est créé ";
}

Cserial::~Cserial()
{
    if(m_serial)
    {
        m_serial->close();
        delete m_serial;
        qDebug() << "L'objet m_serial est détruit est détruit par son destructeur";
    }
}

int Cserial::ouvrirPort()
{
    return m_serial->open(QIODevice::ReadWrite); //ouverture de m_serial pour la lecture et l'écriture
}

int Cserial::initialiser(QSerialPort::BaudRate vitesse, QSerialPort::DataBits data, QSerialPort::Parity parity, QSerialPort::StopBits nbStop, QSerialPort::FlowControl flow)
{
    m_serial->setBaudRate(vitesse);
    m_serial->setDataBits(data);
    m_serial->setParity(parity);
    m_serial->setStopBits(nbStop);
    m_serial->setFlowControl(flow);
    return 0;
}
void Cserial::slotLireDonnees()
{

}
